Subject: bug#5937: 23.1.95; why saving empty abbrev tables

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Mar 2011 10:02:14 -0400

>> I don't think we need such a thing.  We just need to make it clear what
>> those empty tables mean and keep them out of the way.  I.e. move them to
>> the end of the buffer and add a comment before them explaining that
>> these are currently empty.
> OK let's do this. I didn't insert a line explaining empty tables because
> they are obvious (See this screenshot: http://imgur.com/zCegB.png).

> (BTW, after looking at that screenshot I realised Makefile mode
> introduces 6 abbrev tables; amazing.)

> Let me know if you are OK with this patch.

The patch looks good, thank you, please install it.  I'd still like to
see a comment added, but there are many other things that would be good
to add to edit-abbrevs (e.g. highlighting, or an actually useful C-h m
output explaining the format expected by C-c C-c, ...).

        Stefan